cdac.medinfo.sdk.hl7282.baselibs

## Class SAD

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.SAD

- All Implemented Interfaces:
    IDataType

      public class SAD
      extends CompositeDataType

  SAD - Street Address

  This data type specifies an entity's street address and associated detail.

  Represents an HL7 SAD data type. This data type has the following attributes:

  1. Street or Mailing Address (ST)Optional
  2. Street Name (ST)Optional
  3. Dwelling Number (ST)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAD()` Default Constructor for SAD
    `SAD(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for SAD class which takes two arguments and sets the value in the respective member variable.
    `SAD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for SAD class which takes five arguments and sets the value in the respective member variable.
    `SAD(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for SAD class which takes six arguments and sets the value in the respective member variable.
    `SAD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `SAD(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for SAD class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `ST` | `getDwellingNumber()` Returns Dwelling Number
    `ST` | `getStreetName()` Returns Street Name
    `ST` | `getStreetOrMailingAddress()` Returns Street or Mailing Address
    `void` | `setDwellingNumber(ST objST)` Sets the DwellingNumber.
    `void` | `setDwellingNumber(java.lang.String strDwellingNumber)` Sets the DwellingNumber.
    `void` | `setStreetName(ST objST)` Sets the StreetName.
    `void` | `setStreetName(java.lang.String strStreetName)` Sets the StreetName.
    `void` | `setStreetOrMailingAddress(ST objST)` Sets the StreetOrMailingAddress.
    `void` | `setStreetOrMailingAddress(java.lang.String strStreetOrMailingAddress)` Sets the StreetOrMailingAddress.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAD

          public SAD()

      Default Constructor for SAD

    - #### SAD

          public SAD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SAD

          public SAD(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for SAD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SAD

          public SAD(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for SAD class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SAD

          public SAD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for SAD class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### SAD

          public SAD(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for SAD class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setStreetOrMailingAddress

          public void setStreetOrMailingAddress(java.lang.String strStreetOrMailingAddress)

      Sets the StreetOrMailingAddress.
      Parameters:
        `strStreetOrMailingAddress` - specifies the street or mailing address of a person or institution.

    - #### setStreetOrMailingAddress

          public void setStreetOrMailingAddress(ST objST)

      Sets the StreetOrMailingAddress.
      Parameters:
        `objString` - specifies the street or mailing address of a person or institution.

    - #### setStreetName

          public void setStreetName(java.lang.String strStreetName)

      Sets the StreetName.
      Parameters:
        `strStreetName` - specifies Street Name.

    - #### setStreetName

          public void setStreetName(ST objST)

      Sets the StreetName.
      Parameters:
        `objString` - specifies Street Name.

    - #### setDwellingNumber

          public void setDwellingNumber(java.lang.String strDwellingNumber)

      Sets the DwellingNumber.
      Parameters:
        `strDwellingNumber` - specifies Dwelling Number

    - #### setDwellingNumber

          public void setDwellingNumber(ST objST)

      Sets the DwellingNumber.
      Parameters:
        `objST` - specifies Dwelling Number

    - #### getStreetOrMailingAddress

          public ST getStreetOrMailingAddress()

      Returns Street or Mailing Address
      Returns:
        ST - data type.

    - #### getStreetName

          public ST getStreetName()

      Returns Street Name
      Returns:
        ST - data type.

    - #### getDwellingNumber

          public ST getDwellingNumber()

      Returns Dwelling Number
      Returns:
        ST - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.